<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

$id = intval($_GET['id']);

$num = mysql_num_rows(mysql_query("select * from `pod_in` WHERE `id` = '".$id."'"));

$post = mysql_fetch_array(mysql_query("select * from `pod_in` WHERE `id` = '".$id."'"));

echo '<div class="links">';

echo '<img src="img.png" alt="."/> Просмотр подарка<br/>';

echo '</div>';

if ($num == 0){

echo '<div class="links">';

echo 'Подарок не найден.<br/>';

echo '</div>';

}else{
















                                               $p = mysql_fetch_array(mysql_query("select * from `pod_file` WHERE `id` = '".$post['pod_id']."'"));
		   
		   $users = mysql_fetch_array(mysql_query("select * from `user` WHERE `id` = '".$post['kto_id']."'"));
		   								
										           if ($user['id']=='1'){
												   
												   
												   echo '<div class="links">';

												   echo 'Подарок от <a href="/info.php?id='.$post['kto_id'].'"><b>'.$users['nick'].'</b>';
												   
												   echo '<a href="/pod/edit.php?id='.$post['id'].'" style="float:right"><img src="edit.png" alt="."/></a>';

												   echo '<a href="/pod/del.php?id='.$post['id'].'" style="float:right"><img src="del.png" alt="."/></a>';												   
												   echo '<br/>';
														
												   if ($post['private']=='1'){

echo 'Статус: приватный<br/>';

}else{

echo 'Статус: виден всем<br/>';

}
														
												   echo '<center><img src="/pod/image/'.$p['file'].'" alt="."/></center><br/>';
														
														if (!empty($post['komm'])){
														
												   echo '<div class="news_title">';
														
												   echo '<center>'.output_text($post['komm']).'</center>';
	
	                                               echo '</div>';
												   
												        }
												   

                                                                                                                                           if ($post['time_off']!=='1'){

												   echo '<center>('.vremja($post['time']).')</center>';
                                                                                         }
												   
												   echo '</div>';
												   
												   }else{
		   
		   
                 if ($post['private']=='1'){
				 
		            if ($user['id']==$post['komu_id']){
				 
				        echo '<div class="links">';
						
						      if ($post['anonim']=='1'){
							 
							      echo '<b>Анонимный подарок</b><br/>';
								 
						          }else{
							  
							      echo 'Подарок от <a href="/info.php?id='.$post['kto_id'].'"><b>'.$users['nick'].'</b></a>';
								  
						      }
						        
								echo '<a href="/pod/edit.php?id='.$post['id'].'" style="float:right"><img src="edit.png" alt="."/></a>';

									echo '<a href="/pod/del.php?id='.$post['id'].'" style="float:right"><img src="del.png" alt="."/></a>';												   
									echo '<br/>';
								
						
						if ($post['private']=='1'){

echo 'Статус: приватный<br/>';

}else{

echo 'Статус: виден всем<br/>';

}
				
				
				echo '<center><img src="/pod/image/'.$p['file'].'" alt="."/></center><br/>';
				
				          
							  
							  if (!empty($post['komm']) && $post['komm_aftar']!=='1'){
							  
							   echo '<div class="news_title">';
							  
							      echo '<center>'.output_text($post['komm']).'</center>';
							  
							   echo '</div>';
							  
						      }

                                                                                               if ($post['time_off']!=='1'){
							  
							  echo '<center>('.vremja($post['time']).')</center>';

                                               }

							  
							  echo '</div>'; 
				        
		            }else{
					
					echo '<div class="news_title">';
					
					echo 'Это приватный подарок.<br/>';
					
					
					echo '</div>';
					
					}
					
					
		         }
				 
				 
				 
				 if ($post['private']=='2'){
				 
				 
				 
				 
				 
				 
				 
				 
				 echo '<div class="links">';
						
						      if ($post['anonim']=='1'){
							 
							      echo '<b>Анонимный подарок</b><br/>';
								 
						          }else{
							  
							      echo 'Подарок от <a href="/info.php?id='.$post['kto_id'].'"><b>'.$users['nick'].'</b></a>';
								  
						      }
						        
								if ($user['id']==$id){
								
								echo '<a href="/pod/edit.php?id='.$post['id'].'" style="float:right"><img src="edit.png" alt="."/></a>';

									echo '<a href="/pod/del.php?id='.$post['id'].'" style="float:right"><img src="del.png" alt="."/></a>';												   
									}
									
									echo '<br/>';
								
						
						if ($post['private']=='1'){

echo 'Статус: приватный<br/>';

}else{

echo 'Статус: виден всем<br/>';

}
				
				
				echo '<center><img src="/pod/image/'.$p['file'].'" alt="."/></center><br/>';
				
				          
							  
							  if (!empty($post['komm'])){
							  
							   echo '<div class="news_title">';
							  
							      echo '<center>'.output_text($post['komm']).'</center>';
							  
							   echo '</div>';
							  
						      }
							  
							  echo '<center>('.vremja($post['time']).')</center>';
							  
							  echo '</div>'; 
				 
				 
				 
				 
				 
				 
				 }
				 
				 
				 
		                                           }


                                                       














}

echo '<div class="links">';

echo '<img src="img.png" alt="."/> <a href="/pod/?id='.$post['komu_id'].'">Ко всем подаркам</a><br/>';

echo '</div>';

include_once '../sys/inc/tfoot.php';
?>